@echo OFF 
echo.
echo ---------------------------------------------------------------------
echo.
echo Report Formatter
echo.
echo ---------------------------------------------------------------------
echo.

REM ----------------------------------
REM init
REM ----------------------------------
SET REPORT_FORMATTER=ReportFormatter.xlsb
SET EXCEL_START=%APPDATA%\Microsoft\Excel\XLSTART

IF [%1]==[] (
  goto INSTALL
) 

IF /I "%1"=="/u" (
  goto UNINSTALL
)

echo Use: SetupReportFormatter.bat [option]
echo    Options:
echo    [no option]    installs the report formatter
echo    /u             uninstalls the report formatter
echo    /help          print this message
echo.
goto END

REM ----------------------------------
REM install
REM ----------------------------------
:INSTALL

REM ----------------------------------
REM test
IF NOT EXIST "%REPORT_FORMATTER%" (
	echo Error. File not found: %REPORT_FORMATTER%.
	goto END
)

IF NOT EXIST "%EXCEL_START%" (
	echo Error. Excel start directory not found: %EXCEL_START%.
	goto END
)

REM ----------------------------------
REM copy
echo copy %REPORT_FORMATTER% TO %EXCEL_START%
copy /Y "%REPORT_FORMATTER%" "%EXCEL_START%"
goto END

REM ----------------------------------
REM uninstall
REM ----------------------------------
:UNINSTALL

IF NOT EXIST "%EXCEL_START%\%REPORT_FORMATTER%" (
	echo Error. Report Formatter not found: %EXCEL_START%\%REPORT_FORMATTER%.
	goto END
)

echo del %EXCEL_START%\%REPORT_FORMATTER%
del /F "%EXCEL_START%\%REPORT_FORMATTER%" 



REM ----------------------------------
REM end
REM ----------------------------------
:END
echo.
@pause